Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.editors.text
Class EncodingActionGroup

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.ui.editors.text.EncodingActionGroup

public class EncodingActionGroup
extends ActionGroup

Action group for encoding actions.

Since:
  2.0

Constructor Summary
`EncodingActionGroup()` Creates a new encoding action group for an action bar contributor.
`EncodingActionGroup(ITextEditor editor)` Creates a new encoding action group for the given editor.

Method Summary
`void` | `dispose()` This method is called by the user of an action group to signal that the group is no longer needed.
`void` | `fillActionBars(IActionBars actionBars)` Adds the applicable actions to a part's action bars, including setting any global action handlers.
`void` | `retarget(ITextEditor editor)` Retargets this action group to the given editor.
`void` | `update()` Updates all actions of this action group.

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`fillContextMenu, getContext, setContext, updateActionBars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncodingActionGroup

    public EncodingActionGroup()

  Creates a new encoding action group for an action bar contributor.

### EncodingActionGroup

    public EncodingActionGroup(ITextEditor editor)

  Creates a new encoding action group for the given editor.

Parameters:
  `editor` - the text editor

Method Detail

### fillActionBars

    public void fillActionBars(IActionBars actionBars)

  Description copied from class: `ActionGroup`
  Adds the applicable actions to a part's action bars, including setting any global action handlers.

  The default implementation does nothing. Subclasses may override or extend this method.

  Overrides:
    `fillActionBars` in class `ActionGroup`
  Parameters:
    `actionBars` - the part's action bars

### retarget

    public void retarget(ITextEditor editor)

  Retargets this action group to the given editor.

  Parameters:
    `editor` - the text editor to which the group should be retargeted

### update

    public void update()

  Updates all actions of this action group.

### dispose

    public void dispose()

  Description copied from class: `ActionGroup`
  This method is called by the user of an action group to signal that the group is no longer needed. Subclasses typically implement this method to deregister any listeners or to free other resources.

  The default implementation calls `setContext(null)`. Subclasses may extend this method.

  Overrides:
    `dispose` in class `ActionGroup`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.